Debian Bug report logs - #563522
cleanup patches

version graph

Package: acorn-fdisk; Maintainer for acorn-fdisk is Debian QA Group <packages@qa.debian.org>; Source for acorn-fdisk is src:acorn-fdisk.

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Sun, 3 Jan 2010 16:00:02 UTC

Severity: minor

Tags: patch

Fixed in version acorn-fdisk/3.0.6-7

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philip Blundell <pb@nexus.co.uk>:
Bug#563522; Package acorn-fdisk. (Sun, 03 Jan 2010 16:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to Philip Blundell <pb@nexus.co.uk>. (Sun, 03 Jan 2010 16:00:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: submit@bugs.debian.org
Subject: cleanup patches
Date: Sun, 3 Jan 2010 15:55:40 +0000 (UTC)
[Message part 1 (text/plain, inline)]
Package: acorn-fdisk
Severity: minor
Tags: patch

Hi,

this is the rest of my original patch split off from #552791 due
to being out of scope. Please apply it when you prepare the next
upload. As stated, I didn’t bump the Standards-Version but fixed
a number of other issues and wrote a rudimentary manual page.

I talked to: Russell King - ARM Linux <linux@arm.linux.org.uk>
He said he didn’t actively maintain it any longer but will take
patches for it, so I suggest you feed all Debian patches that
apply back there. I also pointed out a possible endianness is-
sue, there may be more though that is the one gcc4.4 found.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
[acorn-fdisk_3.0.6-7.debdiff (text/plain, attachment)]

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Sat, 02 Oct 2010 19:06:16 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Sat, 02 Oct 2010 19:06:16 GMT) Full text and rfc822 format available.

Message #10 received at 563522-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 563522-close@bugs.debian.org
Subject: Bug#563522: fixed in acorn-fdisk 3.0.6-7
Date: Sat, 02 Oct 2010 19:02:05 +0000
Source: acorn-fdisk
Source-Version: 3.0.6-7

We believe that the bug you reported is fixed in the latest version of
acorn-fdisk, which is due to be installed in the Debian FTP archive:

acorn-fdisk_3.0.6-7.diff.gz
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7.diff.gz
acorn-fdisk_3.0.6-7.dsc
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7.dsc
acorn-fdisk_3.0.6-7_i386.deb
  to main/a/acorn-fdisk/acorn-fdisk_3.0.6-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563522@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated acorn-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Sat, 02 Oct 2010 18:45:24 +0000
Source: acorn-fdisk
Binary: acorn-fdisk
Architecture: source i386
Version: 3.0.6-7
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 acorn-fdisk - Partition editor for Acorn/RISC OS machines
Closes: 366447 436190 552791 563522 563996
Changes: 
 acorn-fdisk (3.0.6-7) unstable; urgency=low
 .
   * QA upload.
   * Acknowledge NMU (Closes: #366447) (Closes: #552791) (Closes: #563996)
     Thanks Martin!
   * Apply my patch from January 2010 (Closes: #563522)
     + fix compiler warnings:
       - fdisk.c: passing … from incompatible pointer type
       - lib/scheme/icside.c: dereferencing … does break strict-aliasing rules
         XXX there might be an endianness issue left from the original code
       - lib/scheme/pcbios.c: array subscript is above array bounds
       - lib/scheme/pcbios.c: use of uninitialised value
     + fix lintian warnings:
       - debhelper-but-no-misc-depends
       - debian-rules-ignores-make-clean-error
       - spelling-error-in-binary
       - unknown-section base
       - package-contains-empty-directory
     + debian/watch: new file (took me some time to track down upstream tho)
     + debian/control: add Homepage (as close to one as I could find)
     + debian/manpages, debian/acorn-fdisk.8: new files
   * Extend the manual page, obsoletes another bug (Closes: #436190)
   * Set maintainer to QA group. (I will however keep an eye on this
     package and, while not promising, might take it over. Not now.)
   * Add debian/source/format (preferring 1.0 at the moment)
   * Port this to GNU/kFreeBSD (some ideas from util-linux, 10x)
   * Disable building on GNU/Hurd until we have a way to port it
   * Fix more compiler warnings (format strings, unused variables)
   * Support short options in addition to GNU --long-options
   * Honour dpkg CFLAGS during build
   * debian/dirs: remove, not needed
   * debian/README.source: new, describe TODO
Checksums-Sha1: 
 4ada7392bf06e2090a8f6fb70dc6dd3aa1443893 1695 acorn-fdisk_3.0.6-7.dsc
 96658347c714d338e989e2b23cf738d985f69dbb 10687 acorn-fdisk_3.0.6-7.diff.gz
 5a10f5c36b045983a8b61d7e5ac4b0c85b19b1bf 31664 acorn-fdisk_3.0.6-7_i386.deb
Checksums-Sha256: 
 1c9dff66446727695cd6c43fdcc7b7508852829f4011d65dba153a06ad9dff30 1695 acorn-fdisk_3.0.6-7.dsc
 12a9ce0e700ed85e0baa69241427cc17f62d3f75aa093a8ca74696a7060ea7af 10687 acorn-fdisk_3.0.6-7.diff.gz
 63c5ab1ae099e7c454454efaf7a25e1e1d67ed5f152362af75094c844f8ff6a1 31664 acorn-fdisk_3.0.6-7_i386.deb
Files: 
 fe6f4bf0eca1000c5b7c9089f9cebd24 1695 admin optional acorn-fdisk_3.0.6-7.dsc
 d897bc7cbb354561067de0e73abcc15f 10687 admin optional acorn-fdisk_3.0.6-7.diff.gz
 a3f4794a9d437873e5e01169b2f44162 31664 admin optional acorn-fdisk_3.0.6-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MirBSD)

iQIVAwUBTKd/3Xa1NLLpkAfgAQlElg/5AZaGPe0EqO51oi0G0GGvwxbkHsYCuWJG
Me/h2Z1DpzJfA5868q+1ezy3NmGIJX/+5EMfUrWyBwsR9G2RFiUsMkSuqUxmWjSS
6an+4hc/IELN8WyT5XdaWWYa/hVs7d60iteKwvACdP0jjvbdUH8g15mLpIBvnEyD
PyY45SuGAlv6+cxoxb6soxf4rWzfXuW2Y7qo6YH0PsajkSaGxC55IwRA9IFugQVJ
wrj94CMhl5SraHmCrqceqOHqyOoNwhaD9GCBhSPlIqTZLJtYfcaG/gm+uAtKH/Zy
6KxqeA/9OXfA2BmLK8F5sTiB+eegsbzJyu2MWVkLQmRqzvuVEHoko3EyhZgHT54v
++HQz/Th88ulBHeXb7anlUSvFRNXlLhiIksi/NsCzq1XWPLtPO4hvNqtuZZg6cBg
RVsgaO7qmacUB8mPVQ9ckoRYubHAOlCYqPUGPZsRnWiKEANE0hKy6vNg6aVmGaLu
2zrF88T4Su3k/jQwSOjshndKPxM6FlDOQBZn4dVZpaXZoxNTB1/478Bq8mBI/d1t
JRZo9OV1gp2KCbI1f6Npkdso4xxgI5efooMMWp4f/QND/CUMgj6leSIU+dFPw6Ef
qyhmoBPu8qUyeCeuMOpOa7CwasZXZC1LieicaO4RCd+DB0Dydljvg1mrznuzZEw0
SgJdBk3zxJI=
=MX7v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:15:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:00:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.